package com.example.cookbook.service.impl;


import com.example.cookbook.model.Komentar;
import com.example.cookbook.model.Korisnik;
import com.example.cookbook.model.TipKorisnik;
import com.example.cookbook.repository.KorisniciRepository;
import com.example.cookbook.service.KorisniciService;
import org.springframework.stereotype.Service;

import java.sql.SQLException;
import java.time.LocalDateTime;
import java.util.List;

@Service
public class KorisniciServiceImpl implements KorisniciService {


    private final KorisniciRepository korisniciRepository;

    public KorisniciServiceImpl(KorisniciRepository korisniciRepository) {
        this.korisniciRepository = korisniciRepository;
    }

    @Override
    public List<Korisnik> findAllByRole(TipKorisnik tipKorisnik) throws SQLException {
        return korisniciRepository.findAllByRole(tipKorisnik);
    }



}
